> ## Documentation Index
> Fetch the complete documentation index at: https://docs.biohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Features

> Return all SAE features (feature_index, label, description).



## OpenAPI

````yaml openapi/metagenomic-atlas-openapi.json GET /esm/protein/api/v1alpha1/features
openapi: 3.1.0
info:
  title: ESM Atlas API Reference
  description: Interfaces may change without notice.
  version: 0.1.0
servers:
  - url: https://biohub.ai
security: []
paths:
  /esm/protein/api/v1alpha1/features:
    get:
      tags:
        - Features
      summary: Get Features
      description: Return all SAE features (feature_index, label, description).
      operationId: get_features_esm_protein_api_v1alpha1_features_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SAEFeaturesResponse'
components:
  schemas:
    SAEFeaturesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SAEFeatureItem'
          type: array
          title: Data
      type: object
      required:
        - data
      title: SAEFeaturesResponse
      description: Response for SAE features list.
    SAEFeatureItem:
      properties:
        feature_index:
          type: integer
          title: Feature Index
        label:
          type: string
          title: Label
        description:
          type: string
          title: Description
      type: object
      required:
        - feature_index
        - label
        - description
      title: SAEFeatureItem
      description: A single SAE feature.

````